@import "../../../assets/styles/main.scss";

.countryCardPlanMain {
  width: 100%;
  padding: 50px 0;
}

.plansHeroBannerMainSection {
  background-color: getColorHex("bg_color");
  position: relative;

  .plansHeroBannerSectionBottomImage {
    z-index: 9;
    position: absolute;
    bottom: -4px;
    left: 0;
  }

  &::before {
    content: "";
    position: absolute;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/banner_background_vectore.svg);
    background-position: right;
    background-size: contain;
    background-repeat: no-repeat;
    width: 36%;
    height: 88%;
    right: 0px;
    bottom: 0px;

    @include xxl {
      width: 35%;
      height: 88%;
      right: 0px;
      bottom: 18px;
    }
    @include xl {
      width: 35%;
      height: 85%;
    }
  }
  // &::after {
  //   content: "";
  //   position: absolute;
  //   background-image: url(https://stagecdn.waosim.com/landingpage/assets/page_bg_bottom.png);
  //   background-position: center;
  //   background-size: contain;
  //   background-repeat: no-repeat;
  //   width: 100%;
  //   height: 100%;
  //   right: 0px;
  //   bottom: -40%;
  //   @include xxl {
  //     bottom: -42%;
  //   }
  // }
  .plansHeroBannerMain {
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/page_banner_bg_map.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 38px 0px 150px 0px;
    position: relative;
    height: 655px;
    @include xxl {
      padding: 80px 0px 176px 0px;
      height: 600px;
    }
    @include xl {
      height: 555px;
    }
    @include lg {
      padding: 60px 39px 105px 30px;
      height: 420px;
    }

    .backgroundCloudeImage {
      position: absolute;
      width: 192px;
      height: 79px;
      left: 9px;
      top: 107px;
      img {
        width: 100%;
        height: 100%;
        object-fit: contain;
      }
      @include xxl {
        top: 29px;
        width: 130px;
        height: 55px;
      }
    }

    .plansHeroBannerLeftSide {
      display: flex;
      justify-content: flex-end;
      margin-right: 61px;
      @include xxl {
        justify-content: center;
        margin-right: 20px;
      }
      @include lg {
        justify-content: flex-start;
      }
      .plansHeroBannerLeft {
        display: flex;
        flex-direction: column;
        gap: 51px;
        width: 760px;
        @include xxl {
          width: 681px;
        }
        @include xl {
          width: 600px;
          gap: 40px;
        }
        @include lg {
          width: 458px;
          gap: 30px;
        }
        .plansHeroBannerTitle h1 {
          color: getColorHex("white");
          font-size: 50px;
          @include inter700;
          @include xxl {
            font-size: 40px;
          }
          @include lg {
            font-size: 30px;
          }
        }
        .searchinput {
          position: relative;
          z-index: 9;
        }
        input {
          padding: 15px 66px 15px 29px;
          border-radius: 62px;
          border: 3px solid rgba(255, 255, 255, 0.16);
          background: getColorHex("white");
          color: getColorHex("black");
          font-size: 20px;
          line-height: 20px;
          @include inter400;
          @include lg {
            padding: 10px 60px 10px 15px;
          }

          &:focus {
            border-color: getColorHex("orange") !important;
            box-shadow: unset !important;
          }
          &::placeholder {
            color: getColorHex("placeholder");
            font-size: 20px;
            line-height: 25px !important;
            overflow-x: inherit !important;
            overflow-y: inherit !important;
            white-space: inherit !important;
            word-wrap: inherit !important;
            @include inter400;
            @include xxl {
              font-size: 23px;
            }
            @include xl {
              font-size: 20px;
            }
            @include lg {
              font-size: 15px;
            }
          }
          @include md {
            font-size: 15px;
          }
          @include xs {
            font-size: 14px;
          }
          @include tiny {
            font-size: 12px;
          }
        }

        input[type="search"]::-webkit-search-cancel-button {
          display: none;
        }

        input:focus {
          border-color: getColorHex("orange") !important;
          box-shadow: unset !important;
        }

        .inputButtons {
          position: absolute;
          right: -2%;
          bottom: -25%;
          display: flex;
          flex-direction: row;
          align-items: center;
          gap: 10px;
          transform: translate(-50%, -50%);

          @include lg {
            bottom: -4px;
          }
          .searchIcon {
            border-radius: 53px;
            background: getColorHex("orange");
            width: 45px;
            height: 45px;
            display: flex;
            align-items: center;
            justify-content: center;
            border: unset;
            @include lg {
              width: 30px;
              height: 30px;
            }
            @include md {
              bottom: -15px;
            }
            @include xs {
              width: 30px;
              height: 30px;
              bottom: -2px;
            }
            @include tiny {
              bottom: -4px;
            }
            svg {
              width: 25px !important;
              height: 25px !important;
              @include lg {
                width: 15px !important;
                height: 15px !important;
              }
            }
          }

          .closeIcon {
            width: 45px;
            height: 45px;
            display: flex;
            align-items: center;
            justify-content: center;
            border: unset;
            @include lg {
              width: 30px;
              height: 30px;
            }
            @include md {
              bottom: -15px;
            }
            @include xs {
              width: 30px;
              height: 30px;
              bottom: -2px;
            }
            @include tiny {
              bottom: -4px;
            }
            svg {
              cursor: pointer;
              width: 13px !important;
              height: 13px !important;
            }
          }
        }
        .dropdown {
          position: absolute;
          top: 100%;
          left: 0;
          width: 100%;
          background-color: getColorHex("white");
          border-radius: 32px;
          border: 1px solid getColorHex("orange");
          box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
          padding: 20px 5px 20px 0px;
          list-style: none;
          z-index: 10;
          margin-top: 18px;

          .dropdownmain {
            max-height: 328px;
            overflow-x: auto;
            @include customScroll;
            .searchSkeleton {
              height: 62px;
            }
          }
          // ::-webkit-scrollbar {
          //   width: 6px;
          // }

          // /* Track */
          // ::-webkit-scrollbar-track {
          //   background: #f1f1f1;
          //   border-radius: rem(50);
          // }

          // /* Handle */
          // ::-webkit-scrollbar-thumb {
          //   background: #cbbfbf;
          //   border-radius: rem(50);
          // }

          // /* Handle on hover */
          // ::-webkit-scrollbar-thumb:hover {
          //   background: #a7a2a2;
          // }
        }

        .textSkeleton {
          width: 100%;
          height: 60px !important;
        }

        .dstextSkeleton {
          cursor: pointer;
          display: flex;
          flex-direction: row;
          align-items: center;
          text-align: center;
          gap: 10px;
          padding: 11px 30px;
          @include lg {
            padding: 11px 20px;
          }

          .textSkeleton {
            width: 100%;
            height: 60px !important;
          }
          p {
            margin: 0px;
            // color: #686868;
            font-size: 20px;
            line-height: 175.023%;
            text-align: left;
          }

          .countryImage {
            position: relative;

            .countryImage_icon {
              position: absolute;
              bottom: 6px;
              left: 6px;

              img {
                height: 18px;
                width: 18px;
              }
            }

            .gridSection_countryName {
              position: absolute;
              top: 5px;
              left: 6px;
              text-align: left;
              font-size: 4px;
              line-height: 5.45px;
              color: getColorHex("black");
            }
            .dropdown_image {
              height: 60px !important;
              width: 92px !important;
              border-radius: 8px;

              &.textSkeleton {
                width: 100%;
              }
              img {
                width: 100%;
                height: 100%;
                border-radius: 8px;
                object-fit: cover !important;
              }
            }
          }
        }

        a {
          li {
            cursor: pointer;
            display: flex;
            flex-direction: row;
            align-items: center;
            text-align: center;
            gap: 10px;
            padding: 11px 30px;
            @include lg {
              padding: 11px 20px;
            }
            p {
              margin: 0px;
              font-size: 20px;
              line-height: 175.023%;
              text-align: left;
            }

            .countryImage {
              position: relative;

              .countryImage_icon {
                position: absolute;
                bottom: 6px;
                left: 6px;

                img {
                  height: 18px;
                  width: 18px;
                }
              }

              .gridSection_countryName {
                position: absolute;
                top: 5px;
                left: 6px;
                text-align: left;
                font-size: 4px;
                line-height: 5.45px;
                color: getColorHex("black");
              }
              .dropdown_image {
                height: 60px !important;
                width: 92px !important;
                border-radius: 8px;
                img {
                  width: 100%;
                  height: 100%;
                  border-radius: 8px;
                  object-fit: cover !important;
                }
              }
            }

            &:hover {
              background-color: getColorHex("blue");
              span {
                color: getColorHex("charcoal");
              }
            }
            &:hover p {
              color: getColorHex("white") !important;
            }
          }
        }
        .toggleSection {
          display: flex;
          width: 100%;
          border-radius: 56px;
          background-color: getColorHex("toggle_bg");
          gap: 5px;
          max-width: 533px;
          height: 67px;
          padding: 10px;
          position: relative;
          z-index: 1;
          @include lg {
            max-width: 394px;
            height: 50px;
            padding: 7px;
          }

          @include sm {
            max-width: unset;
            height: 55px;
            padding: 5px;
          }
          @include tiny {
            border-radius: 35px;
            height: 50px;
          }

          span {
            @include inter700;
            font-size: 20px;
            line-height: 34.05px;
            text-align: center;

            @include lg {
              font-size: 15px;
            }
            @include md {
              font-size: 20px;
            }
            @include sm {
              font-size: 18px;
            }
            @include xs {
              font-size: 16px;
            }
            @include xxxs {
              font-size: 14px;
            }
            @include tiny {
              font-size: 12px;
            }
          }

          .option {
            flex: 1;
            display: flex;
            align-items: center;
            justify-content: center;
            @include inter700;
            font-size: 25px;
            text-align: center;
            cursor: pointer;
            transition: all 0.3s ease;
            border-radius: 35px;
            color: getColorHex("black");
            span {
              line-height: 27.24px;
            }
          }

          .selected {
            background-color: getColorHex("orange");
            color: getColorHex("white");
            cursor: auto;
          }

          .option:not(.selected) {
            opacity: 1;
            &:hover {
              opacity: 0.7;
            }
          }

          .option:hover {
            opacity: 1;
          }
        }
      }
    }
    .plansHeroBannerRight {
      position: relative;
      z-index: 9;
      width: 93%;
      position: relative;
      @include xxl {
        width: 100%;
      }
      @include lg {
        margin-left: -30px;
      }
    }
  }
}
